pub mod logger;

use std::io::{Read, Write};

pub trait ReadMedium: Read {}

pub trait WriteMedium: Write {}

pub trait Medium: Read + Write {
    fn split(self) -> (Box<dyn ReadMedium>, Box<dyn WriteMedium>);
}
